GET /api/v3/applications/constants/permissions¶
Summary¶
GET /applications/constants/permissions
Description¶
Return a list of permissions constants for applications
Tags: applications
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)permissions(array)-
Array items:
objectType:objectProperties:
model(string)policy(string)fully_qualified_policy(string)show_for_third_party_apps(boolean)explanation(string)
Example Response¶
{
"success": true,
"permissions": [
{
"model": "account",
"policy": "viewAnalytics",
"fully_qualified_policy": "account.viewAnalytics",
"show_for_third_party_apps": true,
"explanation": "Can view analytics for this account"
},
{
"model": "account",
"policy": "viewCampaigns",
"fully_qualified_policy": "account.viewCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can view campaigns for this account"
},
{
"model": "account",
"policy": "createFeeds",
"fully_qualified_policy": "account.createFeeds",
"show_for_third_party_apps": true,
"explanation": "Can create data sources for this account"
},
{
"model": "account",
"policy": "viewFeeds",
"fully_qualified_policy": "account.viewFeeds",
"show_for_third_party_apps": true,
"explanation": "Can view data sources for this account"
},
{
"model": "account",
"policy": "viewContent",
"fully_qualified_policy": "account.viewContent",
"show_for_third_party_apps": true,
"explanation": "Can view data for this account"
},
{
"model": "account",
"policy": "createCampaigns",
"fully_qualified_policy": "account.createCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can create campaigns for this account"
},
{
"model": "account",
"policy": "editCampaigns",
"fully_qualified_policy": "account.editCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can edit campaigns for this account"
},
{
"model": "account",
"policy": "createChildAccounts",
"fully_qualified_policy": "account.createChildAccounts",
"show_for_third_party_apps": true,
"explanation": "Can create child accounts under this account"
},
{
"model": "account",
"policy": "createContent",
"fully_qualified_policy": "account.createContent",
"show_for_third_party_apps": true,
"explanation": "Can add posts / photos, etc. to this account"
},
{
"model": "account",
"policy": "view",
"fully_qualified_policy": "account.view",
"show_for_third_party_apps": true,
"explanation": "A user can view this account"
},
{
"model": "account",
"policy": "viewDefaultCreative",
"fully_qualified_policy": "account.viewDefaultCreative",
"show_for_third_party_apps": true,
"explanation": "Can view default creatives for this account"
},
{
"model": "agency",
"policy": "canApproveAds",
"fully_qualified_policy": "agency.canApproveAds",
"show_for_third_party_apps": true,
"explanation": "Can approve ads for this operator"
},
{
"model": "agency",
"policy": "viewAnalytics",
"fully_qualified_policy": "agency.viewAnalytics",
"show_for_third_party_apps": true,
"explanation": "Can view stats for this operator and its boards"
},
{
"model": "agency",
"policy": "viewBoards",
"fully_qualified_policy": "agency.viewBoards",
"show_for_third_party_apps": true,
"explanation": "Can view the list of boards for this operator"
},
{
"model": "agency",
"policy": "viewLightningDevices",
"fully_qualified_policy": "agency.viewLightningDevices",
"show_for_third_party_apps": true,
"explanation": "Can view the list of lightning devices for this operator"
},
{
"model": "agency",
"policy": "canEditBoards",
"fully_qualified_policy": "agency.canEditBoards",
"show_for_third_party_apps": true,
"explanation": "Can edit boards for this operator"
},
{
"model": "agency",
"policy": "canSetBoardImages",
"fully_qualified_policy": "agency.canSetBoardImages",
"show_for_third_party_apps": true,
"explanation": "Can set board images for this operators screens"
},
{
"model": "agency",
"policy": "updateDeleteAllAgencyAccounts",
"fully_qualified_policy": "agency.updateDeleteAllAgencyAccounts",
"show_for_third_party_apps": true,
"explanation": "Complete permissions to all accounts that are owned by this agency including update, creating content, delete and other operations"
},
{
"model": "agency",
"policy": "createAccounts",
"fully_qualified_policy": "agency.createAccounts",
"show_for_third_party_apps": true,
"explanation": "Can create accounts attached to this operator"
},
{
"model": "agency",
"policy": "viewCampaigns",
"fully_qualified_policy": "agency.viewCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can view campaigns attached to boards for this operator"
},
{
"model": "agency",
"policy": "viewAccounts",
"fully_qualified_policy": "agency.viewAccounts",
"show_for_third_party_apps": true,
"explanation": "Can view accounts that belong to this operator"
},
{
"model": "agency",
"policy": "createCampaigns",
"fully_qualified_policy": "agency.createCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can create campaigns attached to boards for this operator"
},
{
"model": "agency",
"policy": "pullCampaigns",
"fully_qualified_policy": "agency.pullCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can execute a campaign pull against this operators boards"
},
{
"model": "agency",
"policy": "publishAnalytics",
"fully_qualified_policy": "agency.publishAnalytics",
"show_for_third_party_apps": true,
"explanation": "Can publish stats for this operator and its boards"
},
{
"model": "agency",
"policy": "view",
"fully_qualified_policy": "agency.view",
"show_for_third_party_apps": true,
"explanation": "Can view basic details about this operator"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/applications/constants/permissions" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/applications/constants/permissions"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/applications/constants/permissions',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/applications/constants/permissions'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"permissions": [
{
"model": "account",
"policy": "viewAnalytics",
"fully_qualified_policy": "account.viewAnalytics",
"show_for_third_party_apps": true,
"explanation": "Can view analytics for this account"
},
{
"model": "account",
"policy": "viewCampaigns",
"fully_qualified_policy": "account.viewCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can view campaigns for this account"
},
{
"model": "account",
"policy": "createFeeds",
"fully_qualified_policy": "account.createFeeds",
"show_for_third_party_apps": true,
"explanation": "Can create data sources for this account"
},
{
"model": "account",
"policy": "viewFeeds",
"fully_qualified_policy": "account.viewFeeds",
"show_for_third_party_apps": true,
"explanation": "Can view data sources for this account"
},
{
"model": "account",
"policy": "viewContent",
"fully_qualified_policy": "account.viewContent",
"show_for_third_party_apps": true,
"explanation": "Can view data for this account"
},
{
"model": "account",
"policy": "createCampaigns",
"fully_qualified_policy": "account.createCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can create campaigns for this account"
},
{
"model": "account",
"policy": "editCampaigns",
"fully_qualified_policy": "account.editCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can edit campaigns for this account"
},
{
"model": "account",
"policy": "createChildAccounts",
"fully_qualified_policy": "account.createChildAccounts",
"show_for_third_party_apps": true,
"explanation": "Can create child accounts under this account"
},
{
"model": "account",
"policy": "createContent",
"fully_qualified_policy": "account.createContent",
"show_for_third_party_apps": true,
"explanation": "Can add posts / photos, etc. to this account"
},
{
"model": "account",
"policy": "view",
"fully_qualified_policy": "account.view",
"show_for_third_party_apps": true,
"explanation": "A user can view this account"
},
{
"model": "account",
"policy": "viewDefaultCreative",
"fully_qualified_policy": "account.viewDefaultCreative",
"show_for_third_party_apps": true,
"explanation": "Can view default creatives for this account"
},
{
"model": "agency",
"policy": "canApproveAds",
"fully_qualified_policy": "agency.canApproveAds",
"show_for_third_party_apps": true,
"explanation": "Can approve ads for this operator"
},
{
"model": "agency",
"policy": "viewAnalytics",
"fully_qualified_policy": "agency.viewAnalytics",
"show_for_third_party_apps": true,
"explanation": "Can view stats for this operator and its boards"
},
{
"model": "agency",
"policy": "viewBoards",
"fully_qualified_policy": "agency.viewBoards",
"show_for_third_party_apps": true,
"explanation": "Can view the list of boards for this operator"
},
{
"model": "agency",
"policy": "viewLightningDevices",
"fully_qualified_policy": "agency.viewLightningDevices",
"show_for_third_party_apps": true,
"explanation": "Can view the list of lightning devices for this operator"
},
{
"model": "agency",
"policy": "canEditBoards",
"fully_qualified_policy": "agency.canEditBoards",
"show_for_third_party_apps": true,
"explanation": "Can edit boards for this operator"
},
{
"model": "agency",
"policy": "canSetBoardImages",
"fully_qualified_policy": "agency.canSetBoardImages",
"show_for_third_party_apps": true,
"explanation": "Can set board images for this operators screens"
},
{
"model": "agency",
"policy": "updateDeleteAllAgencyAccounts",
"fully_qualified_policy": "agency.updateDeleteAllAgencyAccounts",
"show_for_third_party_apps": true,
"explanation": "Complete permissions to all accounts that are owned by this agency including update, creating content, delete and other operations"
},
{
"model": "agency",
"policy": "createAccounts",
"fully_qualified_policy": "agency.createAccounts",
"show_for_third_party_apps": true,
"explanation": "Can create accounts attached to this operator"
},
{
"model": "agency",
"policy": "viewCampaigns",
"fully_qualified_policy": "agency.viewCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can view campaigns attached to boards for this operator"
},
{
"model": "agency",
"policy": "viewAccounts",
"fully_qualified_policy": "agency.viewAccounts",
"show_for_third_party_apps": true,
"explanation": "Can view accounts that belong to this operator"
},
{
"model": "agency",
"policy": "createCampaigns",
"fully_qualified_policy": "agency.createCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can create campaigns attached to boards for this operator"
},
{
"model": "agency",
"policy": "pullCampaigns",
"fully_qualified_policy": "agency.pullCampaigns",
"show_for_third_party_apps": true,
"explanation": "Can execute a campaign pull against this operators boards"
},
{
"model": "agency",
"policy": "publishAnalytics",
"fully_qualified_policy": "agency.publishAnalytics",
"show_for_third_party_apps": true,
"explanation": "Can publish stats for this operator and its boards"
},
{
"model": "agency",
"policy": "view",
"fully_qualified_policy": "agency.view",
"show_for_third_party_apps": true,
"explanation": "Can view basic details about this operator"
}
]
}